NDVectorIOcvd< T > Struct Template Reference
Template metaprogramming classes

Structure to read and write ND vectors to and from cvd files. More...

`#include <mia/template/cvd_io_trait.hh>`

## Static Public Member Functions

static bool | read (std::istream &is, T &value)
static void | write (std::ostream &os, const T &value)

## Detailed Description

template<typename T>
struct NDVectorIOcvd< T >

Structure to read and write ND vectors to and from cvd files.

Definition at line 35 of file cvd_io_trait.hh.

## Member Function Documentation

## read()

template<typename T>

bool NDVectorIOcvd< T >::read | ( | std::istream & | is,
|  | T & | value )

inline static

Definition at line 36 of file cvd_io_trait.hh.

## write()

template<typename T>

void NDVectorIOcvd< T >::write | ( | std::ostream & | os,
|  | const T & | value )

inline static

Definition at line 41 of file cvd_io_trait.hh.

The documentation for this struct was generated from the following file:

- cvd_io_trait.hh